%global modname libarchive-c
%define debug_package %{nil}

Name:          python-%{modname}
Version:       2.2
Release:       1%{?dist}
Summary:       Python interface to libarchive
License:       BSD
URL:           https://github.com/Changaco/python-libarchive-c
Source0:       https://github.com/Changaco/python-libarchive-c/archive/2.2.tar.gz#%/%{name}-%{version}.tar.gz
BuildRequires: libarchive-devel

%description
A Python interface to libarchive. It uses the standard ctypes module to
dynamically load and access the C library.

%package -n python2-%{modname}
Summary:       %{summary}
%{?python_provide:%python_provide python2-%{modname}}
BuildRequires: python-setuptools
BuildRequires: python-devel
BuildRequires: python-pytest
Requires:      libarchive%{?_isa} = 3.1.2

%description -n python2-%{modname}
The libarchive library provides a flexible interface for reading and writing
archives in various formats such as tar and cpio. libarchive also supports
reading and writing archives compressed using various compression filters such
as gzip and bzip2.

A Python interface to libarchive. It uses the standard ctypes module to
dynamically load and access the C library.

%package -n python3-%{modname}
Summary:       %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires: python3-setuptools
BuildRequires: python3-pytest
Requires:      libarchive%{?_isa} = 3.1.2

%description -n python3-%{modname}
The libarchive library provides a flexible interface for reading and writing
archives in various formats such as tar and cpio. libarchive also supports
reading and writing archives compressed using various compression filters such
as gzip and bzip2.

A Python interface to libarchive. It uses the standard ctypes module to
dynamically load and access the C library.

%prep
%autosetup -n %{name}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install
rm -rf %{buildroot}%{python2_sitelib}/libarchive*.egg-info*
rm -rf %{buildroot}%{python3_sitelib}/libarchive*.egg-info*
%{_fixperms} %{buildroot}

%check
LC_ALL=C.UTF-8 py.test -s -vv tests
LC_ALL=C.UTF-8 py.test-3 -s -vv tests

%files -n python2-%{modname}
%doc README.rst
%{python2_sitelib}/libarchive/*

%files -n python3-%{modname}
%doc README.rst
%{python3_sitelib}/libarchive/*

%changelog
* Sat Dec 05 2015 Dhiru Kholia <dhiru@openwall.com> - 2.2-1
- initial version
